1

When adding a page viewer web part in SharePoint 2007 and specifying a page, a default div is added to the web part in the HTML source:

<div class="UserGeneric">
  The current browser does not support Web pages that contain the IFRAME element.
  To use this Web Part, you must use a browser that supports this element, such as Internet Explorer version 5 or later.
</div>

How do I remove this?

2

The obvious answer is "with JavaScript", e.g. jQuery. You may also be able to override the page viewer web part class with code.

However why would you need to do this? This error will only show, as the message states, for browsers prior to Internet Explorer 5. The minimum requirements for SharePoint are above that.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.